#!/bin/bash
# Genera la configuracin de iTALC a partir de los ficheros de configuracin que se pasan como parmetro.
#
# <?xml version="1.0"?>
# <!DOCTYPE italc-config-file>
# <globalclientconfig version="0.9.6.2" >
#   <body>
#     <classroom name="Nueva aula" >
#       <client ip="japeto" mac="" id="1" name="japeto" />
#       <client ip="10.227.255.215" mac="" id="2" name="portatil" />
#     </classroom>
#   </body>
# </globalclientconfig>

FICHERO=$HOME/.italc/global-client-config.xml

 cabecera()
{

echo "<?xml version=\"1.0\"?>"
echo "<!DOCTYPE italc-config-file>"
echo "<globalclientconfig version=\"0.9.6.2\" >"
echo "	<body>"

}

 cierres()
{
echo "	</body>"
echo "</globalclientconfig>"

}

 add_aula()
{
unset IFS
NOMBRE=`basename "${1}" |cut -d. -f1` 
echo "		<classroom name=\"$NOMBRE\" >"
IFS=$'\n'
add_clientes $1
echo "		</classroom>"
}

 add_clientes()
{
declare -i ID
unset IFS
IFS=$'\n'
ID=1

for t in `cat "${1}"`
do
	echo "Se evalua la linea: $t" >> /tmp/log
	NOMBRE=`echo "$t" | cut -f1 -d:`
	IP=`echo "$t" | cut -f2 -d:`
	echo "			<client ip=\"$IP\" mac=\"\" id=\"$ID\" name=\"$NOMBRE\" />"
	let ID=ID+1
done
}

if [ $# -eq "0" ]
then
	echo "Nmero de parmetros incorrecto"
	exit 1
fi

[ -d ${HOME}/.italc ] || mkdir ${HOME}/.italc

(cabecera

IFS=$'\n'
for a in $*
do
	add_aula "$a"
done
cierres) > $FICHERO

#echo "Se borraría... $*"
rm -f "$*"
